function CallCSVData(csvPath) {
    return new Promise(function (resolve, reject) {
        $.ajax({
            url: csvPath,
            success: function (csv) {
                if(csv==""){
                    resolve([]);
                }
                else{
                    resolve(CSV2JSON(csv));
                }                 
            },
            error: function (ex) {
				reject(ex); // Reject the promise and go to catch()				
			}
        });
    });
}
function CSV2JSON(csv) {
    var array = CSVToArray(csv);
    
    /*var objArray = [];
    for (var i = 1; i < array.length; i++) {
        objArray[i - 1] = {};
        for (var k = 0; k < array[0].length && k < array[i].length; k++) {
            var key = array[0][k];
            objArray[i - 1][key] = isNaN(array[i][k]) ? array[i][k] : parseFloat(array[i][k])
        }
    }*/
    return array;

    
    /*var json = JSON.stringify(objArray);
    var str = json.replace(/},/g, "},\r\n");
    chartData = objArray;
    return objArray;*/
}
function CSVToArray(strData, strDelimiter) {
    // Check to see if the delimiter is defined. If not,
    // then default to comma.
    strDelimiter = (strDelimiter || ",");
    // Create a regular expression to parse the CSV values.
    var objPattern = new RegExp((
    // Delimiters.
    "(\\" + strDelimiter + "|\\r?\\n|\\r|^)" +
    // Quoted fields.
    "(?:\"([^\"]*(?:\"\"[^\"]*)*)\"|" +
    // Standard fields.
    "([^\"\\" + strDelimiter + "\\r\\n]*))"), "gi");
    // Create an array to hold our data. Give the array
    // a default empty first row.
    var arrData = [[]];
    // Create an array to hold our individual pattern
    // matching groups.
    var arrMatches = null;
    // Keep looping over the regular expression matches
    // until we can no longer find a match.
    while (arrMatches = objPattern.exec(strData)) {
        // Get the delimiter that was found.
        var strMatchedDelimiter = arrMatches[1];
        // Check to see if the given delimiter has a length
        // (is not the start of string) and if it matches
        // field delimiter. If id does not, then we know
        // that this delimiter is a row delimiter.
        if (strMatchedDelimiter.length && (strMatchedDelimiter != strDelimiter)) {
            // Since we have reached a new row of data,
            // add an empty row to our data array.
            arrData.push([]);
        }
        // Now that we have our delimiter out of the way,
        // let's check to see which kind of value we
        // captured (quoted or unquoted).
        if (arrMatches[2]) {
            // We found a quoted value. When we capture
            // this value, unescape any double quotes.
            var strMatchedValue = arrMatches[2].replace(
            new RegExp("\"\"", "g"), "\"");
        } else {
            // We found a non-quoted value.
            var strMatchedValue = arrMatches[3];
        }
        // Now that we have our value string, let's add
        // it to the data array.
        
        if(arrData.length==1){
            arrData[arrData.length - 1].push(strMatchedValue);
        }
        else{
            arrData[arrData.length - 1].push(parseFloat(strMatchedValue));
        }        
    }
    // Return the parsed data.
    return (arrData);
}

// navbar
function openNav(divID, width) {
    document.getElementById(divID).style.width = width;
}

function closeNav(divID) {
    document.getElementById(divID).style.width = "0";
}
window.addEventListener('resize', hideEthDiv);

function hideEthDiv(){
    ethDiv=document.getElementById('ethernetAppendDiv');
    if(ethDiv!==null){
        ethPaNode=ethDiv.parentNode.parentNode;
        if(window.innerWidth<1201){
            if(ethPaNode.classList[3]===undefined){
                ethPaNode.classList+=" hideDiv" ;
            }
        } else{
            ethPaNode.classList="col-xl-3 col-sm-4 connection";
        }
    }
}
hideEthDiv()